> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/user-management/roles.md).

# Roles

You can manage roles through [User Management](/reference/user-management.md) > [Roles](/reference/user-management/roles.md).

### View roles

Roles are shown directly in the roles page.

### Find user

1. Click column header for Name or others
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Add a new role

1. Click "+ Create role"
2. Set Name and [Permissions](/reference/user-management/roles/role-permissions.md)
3. Click "Save"

### Edit role

1. Click "Edit"-icon
2. Edit Name or [Permissions](/reference/user-management/roles/role-permissions.md)
3. Click "Save"

### Copy role

1. Click "Copy role"-icon
2. Set Name
3. Click "Copy role"

### Delete role

1. Click "Delete"-icon
2. Confirm deletion

### Bulk delete roles

1. Select the roles you want to delete
2. Click "Delete roles"-icon
3. Confirm deletion

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/user-management/roles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
